aboutsummaryrefslogtreecommitdiff
path: root/src/stunnel/stunnel.rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'src/stunnel/stunnel.rc.d')
-rwxr-xr-xsrc/stunnel/stunnel.rc.d44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/stunnel/stunnel.rc.d b/src/stunnel/stunnel.rc.d
new file mode 100755
index 0000000..76f7b79
--- /dev/null
+++ b/src/stunnel/stunnel.rc.d
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+pidfile=/var/run/stunnel/stunnel.pid
+if [[ -r $pidfile ]]; then
+ read -r PID < "$pidfile"
+ if [[ $PID && ! -d /proc/$PID ]]; then
+ # stale pidfile
+ unset PID
+ rm -f "$pidfile"
+ fi
+fi
+
+case "$1" in
+ start)
+ stat_busy "Starting stunnel"
+ if [[ -z $PID ]] && /usr/bin/stunnel; then
+ add_daemon stunnel
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping stunnel"
+ if [[ $PID ]] && kill $PID &>/dev/null; then
+ rm_daemon stunnel
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac